Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 590954 - soft lockup: utrace_attach_task
soft lockup: utrace_attach_task
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Oleg Nesterov
Fedora Extras Quality Assurance
:
: 578262 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-11 00:20 EDT by Jan Kratochvil
Modified: 2010-12-03 09:50 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:50:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kernel backtraces (10.36 KB, text/plain)
2010-05-11 00:20 EDT, Jan Kratochvil
no flags Details

  None (edit)
Description Jan Kratochvil 2010-05-11 00:20:41 EDT
Created attachment 413038 [details]
kernel backtraces

Description of problem:
Machine dead, only the kernel still responds to pings.

Version-Release number of selected component (if applicable):
kernel-2.6.32.11-99.fc12.x86_64
(I can switch kernel, this is the latest stable release.)

How reproducible:
Approx once a week during.

Steps to Reproduce:
Run multiple parallel gdb testsuite runs on i7-920 (8 CPUs in /proc/cpu).

Actual results:
multiple soft lockup found after reboot in /var/log/messages.

Expected results:


Additional info:
Comment 1 Oleg Nesterov 2010-05-11 10:01:58 EDT
> BUG: soft lockup - CPU#0 stuck for 61s! [gdb:31343]
> RIP: find_matching_engine+0x69/0xd7

I hope very much this is already fixed. fc12 needs
http://git.engineering.redhat.com/?p=users/arozansk/rhel6.git;a=commit;h=1c64da7c9380e530871db6e2e0f9f571d196fcb4

see also https://bugzilla.redhat.com/show_bug.cgi?id=557338
Comment 2 Jan Kratochvil 2010-05-11 11:30:09 EDT
Could Fedora releng push this fix even for Fedora, please?
It is not present in none of (latest Koji builds of each branch):
kernel-2.6.34-0.49.rc7.git0.fc14
kernel-2.6.33.3-85.fc13
kernel-2.6.32.12-115.fc12
Comment 3 Roland McGrath 2010-05-11 20:33:20 EDT
kernel-2.6.32.12-116.fc12 will have it.
Comment 4 H.J. Lu 2010-05-26 13:37:50 EDT
*** Bug 578262 has been marked as a duplicate of this bug. ***
Comment 5 Bug Zapper 2010-11-03 11:08:07 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-12-03 09:50:06 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.